﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ZoomingChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           
        }
        private void SfChart_SelectionZoomingEnd(object sender, SelectionZoomingEndEventArgs e)
        {
            NavigationWindow nav = new NavigationWindow();
            nav.Content = new Page1((chart.Axes[1] as CategoryAxis).ZoomFactor,
                                    (chart.Axes[1] as CategoryAxis).ZoomPosition,
                                      (chart.Axes[0] as NumericalAxis).ZoomFactor,
                                      (chart.Axes[0] as NumericalAxis).ZoomPosition);
            nav.Show();


        }
    }

    public class Commodities
    {
        public string Commodity { get; set; }
        public double ChangingPrice { get; set; }
    }

    public class CommoditiesPrices
    {
        public CommoditiesPrices()
        {
            CommodityDetails = new ObservableCollection<Commodities>();
            CommodityDetails.Add(new Commodities() { Commodity = "Gold", ChangingPrice = 46 });
            CommodityDetails.Add(new Commodities() { Commodity = "Silver", ChangingPrice = -10 });
            CommodityDetails.Add(new Commodities() { Commodity = "Crudeoil", ChangingPrice = -34 });
            CommodityDetails.Add(new Commodities() { Commodity = "Naturalgas", ChangingPrice = -45 });
            CommodityDetails.Add(new Commodities() { Commodity = "Aluminium", ChangingPrice = 8 });
            CommodityDetails.Add(new Commodities() { Commodity = "Copper", ChangingPrice = 23 });
            CommodityDetails.Add(new Commodities() { Commodity = "Nickel", ChangingPrice = -15 });
            CommodityDetails.Add(new Commodities() { Commodity = "Lead", ChangingPrice = 16 });
            CommodityDetails.Add(new Commodities() { Commodity = "Cotton", ChangingPrice = 37 });
            CommodityDetails.Add(new Commodities() { Commodity = "Menthaoil", ChangingPrice = -22 });
            CommodityDetails.Add(new Commodities() { Commodity = "Zinc", ChangingPrice = 13 });

        }

        public ObservableCollection<Commodities> CommodityDetails { get; set; }
    }
}
